Create Promotion Code
curl --request POST \
--url https://api.openloophealth.com/v0.1/promotion-codes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider_coupon_id": "20OFF",
"code": "SUMMER20",
"active": true,
"max_redemptions": 100,
"provider_customer_id": "test_customer_id",
"expires_at": 1000,
"metadata": {
"campaign": "summer"
},
"restrictions": {
"first_time_transaction": true,
"minimum_amount": 5000,
"minimum_amount_currency": "usd"
}
}
'import requests
url = "https://api.openloophealth.com/v0.1/promotion-codes"
payload = {
"provider_coupon_id": "20OFF",
"code": "SUMMER20",
"active": True,
"max_redemptions": 100,
"provider_customer_id": "test_customer_id",
"expires_at": 1000,
"metadata": { "campaign": "summer" },
"restrictions": {
"first_time_transaction": True,
"minimum_amount": 5000,
"minimum_amount_currency": "usd"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider_coupon_id: '20OFF',
code: 'SUMMER20',
active: true,
max_redemptions: 100,
provider_customer_id: 'test_customer_id',
expires_at: 1000,
metadata: {campaign: 'summer'},
restrictions: {
first_time_transaction: true,
minimum_amount: 5000,
minimum_amount_currency: 'usd'
}
})
};
fetch('https://api.openloophealth.com/v0.1/promotion-codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openloophealth.com/v0.1/promotion-codes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'provider_coupon_id' => '20OFF',
'code' => 'SUMMER20',
'active' => true,
'max_redemptions' => 100,
'provider_customer_id' => 'test_customer_id',
'expires_at' => 1000,
'metadata' => [
'campaign' => 'summer'
],
'restrictions' => [
'first_time_transaction' => true,
'minimum_amount' => 5000,
'minimum_amount_currency' => 'usd'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openloophealth.com/v0.1/promotion-codes"
payload := strings.NewReader("{\n \"provider_coupon_id\": \"20OFF\",\n \"code\": \"SUMMER20\",\n \"active\": true,\n \"max_redemptions\": 100,\n \"provider_customer_id\": \"test_customer_id\",\n \"expires_at\": 1000,\n \"metadata\": {\n \"campaign\": \"summer\"\n },\n \"restrictions\": {\n \"first_time_transaction\": true,\n \"minimum_amount\": 5000,\n \"minimum_amount_currency\": \"usd\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openloophealth.com/v0.1/promotion-codes")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"provider_coupon_id\": \"20OFF\",\n \"code\": \"SUMMER20\",\n \"active\": true,\n \"max_redemptions\": 100,\n \"provider_customer_id\": \"test_customer_id\",\n \"expires_at\": 1000,\n \"metadata\": {\n \"campaign\": \"summer\"\n },\n \"restrictions\": {\n \"first_time_transaction\": true,\n \"minimum_amount\": 5000,\n \"minimum_amount_currency\": \"usd\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openloophealth.com/v0.1/promotion-codes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"provider_coupon_id\": \"20OFF\",\n \"code\": \"SUMMER20\",\n \"active\": true,\n \"max_redemptions\": 100,\n \"provider_customer_id\": \"test_customer_id\",\n \"expires_at\": 1000,\n \"metadata\": {\n \"campaign\": \"summer\"\n },\n \"restrictions\": {\n \"first_time_transaction\": true,\n \"minimum_amount\": 5000,\n \"minimum_amount_currency\": \"usd\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"code": "SUMMER20",
"provider_coupon_id": "20OFF",
"active": true,
"provider_promotion_code_id": "test_promotion_code_id_2",
"max_redemptions": 100,
"provider_customer_id": "test_customer_id",
"expires_at": 1000,
"metadata": {
"campaign": "summer"
},
"restrictions": {
"first_time_transaction": true,
"minimum_amount": 5000,
"minimum_amount_currency": "usd"
}
}
}Promotion Codes
Create Promotion Code
Creates a new promotion code for a coupon.
POST
/
promotion-codes
Create Promotion Code
curl --request POST \
--url https://api.openloophealth.com/v0.1/promotion-codes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider_coupon_id": "20OFF",
"code": "SUMMER20",
"active": true,
"max_redemptions": 100,
"provider_customer_id": "test_customer_id",
"expires_at": 1000,
"metadata": {
"campaign": "summer"
},
"restrictions": {
"first_time_transaction": true,
"minimum_amount": 5000,
"minimum_amount_currency": "usd"
}
}
'import requests
url = "https://api.openloophealth.com/v0.1/promotion-codes"
payload = {
"provider_coupon_id": "20OFF",
"code": "SUMMER20",
"active": True,
"max_redemptions": 100,
"provider_customer_id": "test_customer_id",
"expires_at": 1000,
"metadata": { "campaign": "summer" },
"restrictions": {
"first_time_transaction": True,
"minimum_amount": 5000,
"minimum_amount_currency": "usd"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider_coupon_id: '20OFF',
code: 'SUMMER20',
active: true,
max_redemptions: 100,
provider_customer_id: 'test_customer_id',
expires_at: 1000,
metadata: {campaign: 'summer'},
restrictions: {
first_time_transaction: true,
minimum_amount: 5000,
minimum_amount_currency: 'usd'
}
})
};
fetch('https://api.openloophealth.com/v0.1/promotion-codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openloophealth.com/v0.1/promotion-codes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'provider_coupon_id' => '20OFF',
'code' => 'SUMMER20',
'active' => true,
'max_redemptions' => 100,
'provider_customer_id' => 'test_customer_id',
'expires_at' => 1000,
'metadata' => [
'campaign' => 'summer'
],
'restrictions' => [
'first_time_transaction' => true,
'minimum_amount' => 5000,
'minimum_amount_currency' => 'usd'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openloophealth.com/v0.1/promotion-codes"
payload := strings.NewReader("{\n \"provider_coupon_id\": \"20OFF\",\n \"code\": \"SUMMER20\",\n \"active\": true,\n \"max_redemptions\": 100,\n \"provider_customer_id\": \"test_customer_id\",\n \"expires_at\": 1000,\n \"metadata\": {\n \"campaign\": \"summer\"\n },\n \"restrictions\": {\n \"first_time_transaction\": true,\n \"minimum_amount\": 5000,\n \"minimum_amount_currency\": \"usd\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openloophealth.com/v0.1/promotion-codes")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"provider_coupon_id\": \"20OFF\",\n \"code\": \"SUMMER20\",\n \"active\": true,\n \"max_redemptions\": 100,\n \"provider_customer_id\": \"test_customer_id\",\n \"expires_at\": 1000,\n \"metadata\": {\n \"campaign\": \"summer\"\n },\n \"restrictions\": {\n \"first_time_transaction\": true,\n \"minimum_amount\": 5000,\n \"minimum_amount_currency\": \"usd\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openloophealth.com/v0.1/promotion-codes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"provider_coupon_id\": \"20OFF\",\n \"code\": \"SUMMER20\",\n \"active\": true,\n \"max_redemptions\": 100,\n \"provider_customer_id\": \"test_customer_id\",\n \"expires_at\": 1000,\n \"metadata\": {\n \"campaign\": \"summer\"\n },\n \"restrictions\": {\n \"first_time_transaction\": true,\n \"minimum_amount\": 5000,\n \"minimum_amount_currency\": \"usd\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"code": "SUMMER20",
"provider_coupon_id": "20OFF",
"active": true,
"provider_promotion_code_id": "test_promotion_code_id_2",
"max_redemptions": 100,
"provider_customer_id": "test_customer_id",
"expires_at": 1000,
"metadata": {
"campaign": "summer"
},
"restrictions": {
"first_time_transaction": true,
"minimum_amount": 5000,
"minimum_amount_currency": "usd"
}
}
}Authorizations
serviceTokenuserToken
Headers
Body
application/json

